#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const index_1 = __importDefault(require("./index"));
commander_1.default
    .version('1.0.0')
    .option('-i, --indent [n]', 'Number of spaces used for indentation', 4)
    .option('-t, --html-alias [prefix]', 'Optional prefix to use in front of html tags')
    .option('-a, --attribute-alias [prefix]', 'Optional prefix to use in front of attribute names')
    .parse(process.argv);
const elmString = index_1.default(commander_1.default.args.join(''), {
    indent: commander_1.default.indent,
    htmlAlias: commander_1.default.htmlAlias,
    attributeAlias: commander_1.default.attributeAlias,
});
if (elmString) {
    console.log(elmString);
}
else {
    console.log('Please provide a valid HTML string to be converted to Elm');
}
